/********** Template CSS **********/
:root {
    --primary: #f19700;
    --secondary: #BDBDBF;
    --light: #faf2e7;
    --dark: #222429;
}

[class^="flaticon-"]:before,
[class*=" flaticon-"]:before,
[class^="flaticon-"]:after,
[class*=" flaticon-"]:after {
    font-size: inherit;
    margin-left: 0;
}

h1,
h2,
.font-weight-bold {
    font-weight: 700 !important;
}

h3,
h4,
.font-weight-semi-bold {
    font-weight: 700 !important;
}

h5,
h6,
.font-weight-medium {
    font-weight: 500 !important;
}

.btn {
    font-family: 'Source Sans 3', sans-serif;
    text-transform: uppercase;
    transition: .5s;
    font-weight: 700 !important;
    border-radius: 40px;
}

.btn-primary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 30px;
    height: 30px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}

.btn-square i {
    font-size: 24px;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 0;
    border-radius: 0;
    z-index: 99;
}

.navbar-dark .navbar-nav .nav-link {
    font-family: 'Source Sans 3', sans-serif;
    margin-right: 30px;
    padding: 20px 0;
    color: var(--dark);
    font-size: 17px;
    text-transform: uppercase;
    outline: none;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
    color: var(--primary);
}

.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /* background: rgba(34, 36, 41, .8); */
    z-index: 1;
}

/* Botão Cadastre-se */
.btn-cadastre-se {
    font-size: 1.2rem;
}

@media (max-width: 768px) {
    .carousel-caption h4 {
        font-size: 18px;
        font-weight: 500 !important;
    }

    .carousel-caption h1 {
        font-size: 30px;
    }
    .carousel-item img {
        height: 50vh !important; /* Força a imagem a ocupar metade da altura da tela */
        object-fit: cover;      /* Faz a imagem preencher o espaço sem esticar */
        object-position: center; /* Mantém o foco no meio da foto */
    }

    .btn-cadastre-se {
        font-size: 1rem;
    }
}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
}

.bg-hero {
    background: linear-gradient(rgba(34, 36, 41, .8), rgba(34, 36, 41, .8)), url(../img/carousel-1.jpg) top center no-repeat;
    background-size: cover;
}

.programe{
    background: var(--dark);
}

/* .programe::after {
    position :absolute;
    content: "";
    width: 100%;
    height: calc(100% - 45px);
    top: 135px;
    left: 0;
    background: var(--dark);
    z-index: -1;
} */

.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.1);
}

.team-item .team-overlay {
    position: absolute;
    top: 50%;
    right: 50%;
    bottom: 50%;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(34, 36, 41, .9);
    transition: .5s;
    opacity: 0;
}

.team-item:hover .team-overlay {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 1;
}

.testimonial-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: start;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next{
    position: relative;
    margin: 0 5px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    font-size: 22px;
    border-radius: 45px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.testimonial-carousel .owl-item img {
    width: 90px;
    height: 90px;
}

.blog-item img {
    transition: .5s;
}

.blog-item:hover img {
    transform: scale(1.1);
}

/* Logo Principal */
.logo-principal {
    max-height: 60px;
    padding: 10px;
}

.logo-principal-navbar {
    max-height: 45px;
    padding: 5px;
}

@media (min-width: 991.98px) {
    .credit {
        background: var(--primary);
    }
}

.laranja {
    color: #ff8a00 !important;
}

.black-member {
    /* border: 5px solid #fff !important; */
    border: 2px solid #ffc107; /* Borda dourada (warning do bootstrap) */
    /* transform: scale(1.05); Deixa o card levemente maior que os outros */
    box-shadow: 0 10px 30px rgba(0,0,0,0.5); /* Sombra para dar profundidade */
    position: relative; /* Necessário para posicionar o badge */
    z-index: 10;
}

.badge-black-member {
    position: absolute;
    top: -15px; /* Move para cima da borda */
    left: 50%;
    transform: translateX(-50%); /* Centraliza horizontalmente */
    padding: 0.5rem 1rem;
    font-size: 0.9rem;
    text-transform: uppercase;
    font-weight: bold;
}

#contato {
    background:
        radial-gradient(circle, rgba(0,0,0,0.85) 0%, rgba(0,0,0,0.7) 100%),
        url("../img/area-musculacao.jpg");
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    height: auto;
    display:flex;
    align-items:center;
    justify-content:center;
}


/* botão */
.btn-whatsapp{
    display:inline-flex;
    align-items:center;
    gap:10px;

    background:#25D366;
    color:white;
    padding:16px 30px;

    font-size:18px;
    font-weight:600;

    border-radius:40px;
    text-decoration:none;

    transition:0.3s;
}

/* hover */
.btn-whatsapp:hover{
    transform:scale(1.05);
    box-shadow:0 10px 25px rgba(0,0,0,0.3);
    color:white;
    background:#18af4f;
}

.cookie-popup{
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 320px;
    background: #111;
    color: #fff;
    padding: 20px;
    font-family: Arial, sans-serif;
    box-shadow: 0 5px 20px rgba(0,0,0,0.4);
    z-index: 9999;
}

.cookie-popup h3{
    margin-top: 0;
}

.cookie-popup p{
    font-size: 14px;
    line-height: 1.5;
}

.cookie-popup a{
    color: #ccc;
    text-decoration: underline;
}

.cookie-popup button{
    margin-top: 15px;
    padding: 10px 20px;
    background: black;
    color: white;
    border: none;
    cursor: pointer;
}

.cookie-popup button:hover{
    background: #333;
}

.btn-close-custom{
  background: none;
  border: none;
  font-size: 1.2rem;
  cursor: pointer;
  padding: 5px;
}

.btn-close-custom:hover{
  opacity: 0.7;
}

.div-increase{
    transition: transform 0.3s ease;
}

.div-increase:hover {
    transform: scale(1.05);
}

.carousel-caption::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background: radial-gradient(circle, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0) 60%);
  z-index: -1; 
  filter: blur(10px); 
}

.img-expand {
  transition: transform 0.3s ease;
}

.img-expand:hover {
  transform: scale(1.01);
  filter: brightness(90%);
}

.imagem-modal{
    max-height: 80vh;
    object-fit: contain;
}

.fixed-border {
    border-bottom: 2px solid #f19700;
}

@media (max-width: 991.98px) {
    .navbar-dark .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }
}

/* Remove o comportamento de grade do Bootstrap que impediria a linha única */
.modalidades-carousel.owl-carousel {
    display: block !important;
}

/* Estilização das setas de navegação */
.modalidades-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}

.modalidades-carousel .owl-nav .owl-prev,
.modalidades-carousel .owl-nav .owl-next {
    margin: 0 10px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #faf2e7;
    background: #f19700; 
    border-radius: 50px;
    font-size: 24px;
    transition: 0.5s;
}

.modalidades-carousel .owl-nav .owl-prev:hover,
.modalidades-carousel .owl-nav .owl-next:hover {
    background: #865500; 
}

.modalidades-carousel .owl-stage-outer {
    padding: 15px; /* Ajuste conforme a "força" do seu scale */
    margin: -15px; /* Compensa o padding para manter o layout no lugar */
}

/* Garante que o item não seja cortado lateralmente se for o primeiro ou último */
.modalidades-carousel .owl-item {
    padding: 5px; 
}

/* Garante que o fundo do modal seja a camada mais alta antes do modal em si */
.modal-backdrop {
    z-index: 1050 !important;
}

.modal {
    z-index: 1060 !important;
}

/* Força o cursor a mostrar que o site voltou ao normal */
body:not(.modal-open) {
    pointer-events: auto !important;
}

#modalidades p {
    font-size: 1.0rem;
    line-height: 1.3;
}

/* Transforma o container que envolve todos os itens em Flexbox, fazendo todos esticarem até o limite do item mais alto */
#modalidades .owl-stage {
    display: flex;
    align-items: stretch;
}

/* Transforma o próprio item do carrossel em Flexbox */
#modalidades .owl-item {
    display: flex;
}

/* Garante que o seu card interno (com a classe .div-increase / .bg-light) ocupe todo o espaço disponível */
#modalidades .owl-item .div-increase {
    width: 100%;
}